Update Shiro Dependency

Description

According to Dependabot checks the used Shiro version has a security vulnerability.

https://github.com/RapidClipse/rapid-application-platform/network/alert/pom.xml/org.apache.shiro:shiro-core/open

Solution is to update it to Version 1.4.2

Environment

None

Activity

Show:
JM
December 9, 2020, 10:08 AM
Edited

OK: Shiro 1.4.2 in Version 10.03.00-RAP-SNAPSHOT

Artifacts

rap
rap-server-webapi
rap-server-security-auth-jpa
rap-server-security-auth
rap-server-reports
rap-server-persistence-jpa
rap-server-charts
rap-server-core
rap-security-auth-ldap
rap-security-auth

Fixed

Assignee

FH

Reporter

FH

Labels

None

Sprint

None

Fix versions

Priority

Major